FLAIM: CHECKPOINT_INFO Struct Reference

- Main Page
- Modules
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CHECKPOINT_INFO Struct Reference

Structure that gives the current state of the checkpoint thread. Returned from FlmDbGetConfig() when eDbGetConfigType::FDB_GET_CHECKPOINT_INFO is passed in as the option. More...

`#include <flaim.h>`

List of all members.

## Public Attributes
FLMBOOL | bRunning
| Is checkpoint thread currently running?
FLMUINT | uiRunningTime
| Time (milliseconds) the checkpoint thread has been running (if bRunning is TRUE).
FLMBOOL | bForcingCheckpoint
| Is a checkpoint being forced?
FLMUINT | uiForceCheckpointRunningTime
| Time (milliseconds) the checkpoint thread has been forcing a checkpoint (only valid if both bRunning and bForcingCheckpoint are TRUE).
FLMINT | iForceCheckpointReason
| Reason checkpoint is being forced (only valid if bForcingCheckpoint is TRUE). It may be one of the following: CP_TIME_INTERVAL_REASON - Maximum time since last completed checkpoint has elapsed CP_SHUTTING_DOWN_REASON - Database is being closed CP_RFL_VOLUME_PROBLEM - Had problems writing to the roll-forward log.
FLMBOOL | bWritingDataBlocks
| TRUE if checkpoint thread is currently writing out dirty data blocks.
FLMUINT | uiLogBlocksWritten
| Total number of blocks written to the rollback log.
FLMUINT | uiDataBlocksWritten
| Total number of dirty data blocks written.
FLMUINT | uiDirtyCacheBytes
| Total bytes of dirty cache that still needs to be written.
FLMUINT | uiBlockSize
| Block size for database (in bytes).
FLMUINT | uiWaitTruncateTime
| Time (milliseconds) the checkpoint thread has been waiting to truncate the rollback log.

## Detailed Description

Structure that gives the current state of the checkpoint thread. Returned from FlmDbGetConfig() when eDbGetConfigType::FDB_GET_CHECKPOINT_INFO is passed in as the option.

## Member Data Documentation

FLMUINT CHECKPOINT_INFO::uiWaitTruncateTime

| Time (milliseconds) the checkpoint thread has been waiting to truncate the rollback log. If zero, the checkpoint thread is not currently waiting to truncate the rollback log.